Subject: Re: linux-next: build failure after merge of the block tree

From: Michal Marek <[email-masked]>
Date: Wed, 27 Apr 2016 11:02:08 +0200

On 2016-04-26 22:48, Nicolas Pitre wrote:
> On Wed, 27 Apr 2016, Stephen Rothwell wrote:
> 
>> Hi Nicolas,
>>
>> On Tue, 26 Apr 2016 10:40:57 -0400 (EDT) Nicolas Pitre <[email-masked]> wrote:
>>>
>>> If you can reproduce this build failure, could you try a make mrproper 
>>> and attempt it again?  I, too, would like to find an explanation and a 
>>> way to reproduce.
>>
>> I reset my build tree to commit 9d67df654092 ("Merge remote-tracking
>> branch 'block/for-next'") and the build failed with:
>>
>> ERROR: ".local_clock" [drivers/vhost/vhost_net.ko] undefined!
>> ERROR: ".local_clock" [drivers/misc/cxl/cxl.ko] undefined!
>>
>> :-(
>>
>> So I did a "make mrproper" and did the build again.
>>
>> That built correctly.
>>
> [...]
> 
> OK!  After digging and diffing through 750 megabytes of make debug logs 
> I finally found the explanation.  The if_changed directive is useless 
> against phony targets.
> 
> @Stephen: could you replace the revert with the patch below in your tree?
> 
> @Michal: could you fold the patch below into commit 2441e78b19 in your tree?

I prefer not to overwrite the topic branches unless necessary and I
wanted to credit Stephen, so I committed your patch with a fabricated
commit message and your signoff (since you wanted to fold it into a
patch that you had already signed off).

Michal